/**
 * Contains all defined constants from values-avs.h
 */
function AvsAPlayerModelDefines() {
}
{
    AvsAPlayerModelDefines.SL2_TVAPI_STR_AVS_AUIDOPLAYER_DIRECTIVE = "tvapi.str.avs.audioplayer.directive";
    AvsAPlayerModelDefines.SL2_TVAPI_STR_AVS_AUIDOPLAYER_EVENT = "tvapi.str.avs.audioplayer.event";
}
/**
 * AvsAPlayerModel class derived from SubModel.
 */
function AvsAPlayerModel(parentModel) {
    SubModel.call(this, parentModel, AvsAPlayerModelDefines);
    this.registerSubObject = function () {
        this.registerStringObject(
            AvsModelDefines.SL2_TVAPI_STR_AVS_AUIDOPLAYER_DIRECTIVE,
            "null", "null", "onDirectiveReceiver",
            null, null);

        this.registerStringObject(
            AvsModelDefines.SL2_TVAPI_STR_AVS_AUIDOPLAYER_EVENT,
            "null", "setEvent", "null",
            null, null);
    }
}
AvsAPlayerModel.prototype = new SubModel;
AvsAPlayerModel.prototype.constructor = AvsAPlayerModel;
{
    SubModel.registerStaticConstants(AvsAPlayerModel, AvsAPlayerModelDefines,[]);
}

